Skip to main content
GET
/
v1
/
rewards
/
{id}
/
redemptions
List reward redemptions
curl --request GET \
  --url https://api.oneofnone.io/v1/rewards/{id}/redemptions \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "codeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orderId": "<string>",
      "externalOrderId": "<string>",
      "customerEmail": "<string>",
      "discountAmount": 123,
      "orderTotal": 123,
      "sessionId": "<string>",
      "redeemedAt": "<string>",
      "metadata": {}
    }
  ],
  "pagination": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Query Parameters

limit
number
Required range: 1 <= x <= 1000
offset
number
order
enum<string>
Available options:
asc,
desc
order_by
string
include_count
boolean

Response

Successful response

data
object[]
required
pagination
object
required